Entity Onboarding (Banking Connectivity)
Update Entity Onboarding
Submit additional documentation for an existing entity onboarding
PATCH
/
banking
/
entities
/
{entity_id}
/
onboardings
/
{onboarding_id}
Update Entity Onboarding (Banking Connectivity)
curl --request PATCH \
--url https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id} \
--header 'Content-Type: application/json' \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>' \
--data '
{
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"documentation": [
{
"document_type": "IDENTITY_DOCUMENT",
"identity_document": {
"document_number": "D1234567",
"document_subtype": "DRIVERS_LICENSE",
"issuing_country": "US",
"expires_at": "2028-01-15",
"files": [
{
"file_name": "license_front.jpg",
"content_type": "image/jpeg",
"content": "base64_encoded_content"
},
{
"file_name": "license_back.jpg",
"content_type": "image/jpeg",
"content": "base64_encoded_content"
}
]
}
},
{
"document_type": "BANK_STATEMENT",
"bank_statement": {
"bank_name": "Chase Bank",
"account_number_last_4": "1234",
"period_start_at": "2025-12-01",
"period_end_at": "2025-12-31",
"files": [
{
"file_name": "bank_statement_dec_2025.pdf",
"content_type": "application/pdf",
"content": "base64_encoded_content"
}
]
}
}
]
}
'import requests
url = "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}"
payload = {
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"documentation": [
{
"document_type": "IDENTITY_DOCUMENT",
"identity_document": {
"document_number": "D1234567",
"document_subtype": "DRIVERS_LICENSE",
"issuing_country": "US",
"expires_at": "2028-01-15",
"files": [
{
"file_name": "license_front.jpg",
"content_type": "image/jpeg",
"content": "base64_encoded_content"
},
{
"file_name": "license_back.jpg",
"content_type": "image/jpeg",
"content": "base64_encoded_content"
}
]
}
},
{
"document_type": "BANK_STATEMENT",
"bank_statement": {
"bank_name": "Chase Bank",
"account_number_last_4": "1234",
"period_start_at": "2025-12-01",
"period_end_at": "2025-12-31",
"files": [
{
"file_name": "bank_statement_dec_2025.pdf",
"content_type": "application/pdf",
"content": "base64_encoded_content"
}
]
}
}
]
}
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'public-api-key': '<api-key>',
'private-secret-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_id: '550e8400-e29b-41d4-a716-446655440000',
documentation: [
{
document_type: 'IDENTITY_DOCUMENT',
identity_document: {
document_number: 'D1234567',
document_subtype: 'DRIVERS_LICENSE',
issuing_country: 'US',
expires_at: '2028-01-15',
files: [
{
file_name: 'license_front.jpg',
content_type: 'image/jpeg',
content: 'base64_encoded_content'
},
{
file_name: 'license_back.jpg',
content_type: 'image/jpeg',
content: 'base64_encoded_content'
}
]
}
},
{
document_type: 'BANK_STATEMENT',
bank_statement: {
bank_name: 'Chase Bank',
account_number_last_4: '1234',
period_start_at: '2025-12-01',
period_end_at: '2025-12-31',
files: [
{
file_name: 'bank_statement_dec_2025.pdf',
content_type: 'application/pdf',
content: 'base64_encoded_content'
}
]
}
}
]
})
};
fetch('https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'account_id' => '550e8400-e29b-41d4-a716-446655440000',
'documentation' => [
[
'document_type' => 'IDENTITY_DOCUMENT',
'identity_document' => [
'document_number' => 'D1234567',
'document_subtype' => 'DRIVERS_LICENSE',
'issuing_country' => 'US',
'expires_at' => '2028-01-15',
'files' => [
[
'file_name' => 'license_front.jpg',
'content_type' => 'image/jpeg',
'content' => 'base64_encoded_content'
],
[
'file_name' => 'license_back.jpg',
'content_type' => 'image/jpeg',
'content' => 'base64_encoded_content'
]
]
]
],
[
'document_type' => 'BANK_STATEMENT',
'bank_statement' => [
'bank_name' => 'Chase Bank',
'account_number_last_4' => '1234',
'period_start_at' => '2025-12-01',
'period_end_at' => '2025-12-31',
'files' => [
[
'file_name' => 'bank_statement_dec_2025.pdf',
'content_type' => 'application/pdf',
'content' => 'base64_encoded_content'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"private-secret-key: <api-key>",
"public-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}"
payload := strings.NewReader("{\n \"account_id\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"documentation\": [\n {\n \"document_type\": \"IDENTITY_DOCUMENT\",\n \"identity_document\": {\n \"document_number\": \"D1234567\",\n \"document_subtype\": \"DRIVERS_LICENSE\",\n \"issuing_country\": \"US\",\n \"expires_at\": \"2028-01-15\",\n \"files\": [\n {\n \"file_name\": \"license_front.jpg\",\n \"content_type\": \"image/jpeg\",\n \"content\": \"base64_encoded_content\"\n },\n {\n \"file_name\": \"license_back.jpg\",\n \"content_type\": \"image/jpeg\",\n \"content\": \"base64_encoded_content\"\n }\n ]\n }\n },\n {\n \"document_type\": \"BANK_STATEMENT\",\n \"bank_statement\": {\n \"bank_name\": \"Chase Bank\",\n \"account_number_last_4\": \"1234\",\n \"period_start_at\": \"2025-12-01\",\n \"period_end_at\": \"2025-12-31\",\n \"files\": [\n {\n \"file_name\": \"bank_statement_dec_2025.pdf\",\n \"content_type\": \"application/pdf\",\n \"content\": \"base64_encoded_content\"\n }\n ]\n }\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("public-api-key", "<api-key>")
req.Header.Add("private-secret-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}")
.header("public-api-key", "<api-key>")
.header("private-secret-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"account_id\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"documentation\": [\n {\n \"document_type\": \"IDENTITY_DOCUMENT\",\n \"identity_document\": {\n \"document_number\": \"D1234567\",\n \"document_subtype\": \"DRIVERS_LICENSE\",\n \"issuing_country\": \"US\",\n \"expires_at\": \"2028-01-15\",\n \"files\": [\n {\n \"file_name\": \"license_front.jpg\",\n \"content_type\": \"image/jpeg\",\n \"content\": \"base64_encoded_content\"\n },\n {\n \"file_name\": \"license_back.jpg\",\n \"content_type\": \"image/jpeg\",\n \"content\": \"base64_encoded_content\"\n }\n ]\n }\n },\n {\n \"document_type\": \"BANK_STATEMENT\",\n \"bank_statement\": {\n \"bank_name\": \"Chase Bank\",\n \"account_number_last_4\": \"1234\",\n \"period_start_at\": \"2025-12-01\",\n \"period_end_at\": \"2025-12-31\",\n \"files\": [\n {\n \"file_name\": \"bank_statement_dec_2025.pdf\",\n \"content_type\": \"application/pdf\",\n \"content\": \"base64_encoded_content\"\n }\n ]\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["public-api-key"] = '<api-key>'
request["private-secret-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_id\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"documentation\": [\n {\n \"document_type\": \"IDENTITY_DOCUMENT\",\n \"identity_document\": {\n \"document_number\": \"D1234567\",\n \"document_subtype\": \"DRIVERS_LICENSE\",\n \"issuing_country\": \"US\",\n \"expires_at\": \"2028-01-15\",\n \"files\": [\n {\n \"file_name\": \"license_front.jpg\",\n \"content_type\": \"image/jpeg\",\n \"content\": \"base64_encoded_content\"\n },\n {\n \"file_name\": \"license_back.jpg\",\n \"content_type\": \"image/jpeg\",\n \"content\": \"base64_encoded_content\"\n }\n ]\n }\n },\n {\n \"document_type\": \"BANK_STATEMENT\",\n \"bank_statement\": {\n \"bank_name\": \"Chase Bank\",\n \"account_number_last_4\": \"1234\",\n \"period_start_at\": \"2025-12-01\",\n \"period_end_at\": \"2025-12-31\",\n \"files\": [\n {\n \"file_name\": \"bank_statement_dec_2025.pdf\",\n \"content_type\": \"application/pdf\",\n \"content\": \"base64_encoded_content\"\n }\n ]\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "990e8400-e29b-41d4-a716-446655440000",
"entity_id": "660e8400-e29b-41d4-a716-446655440000",
"status": "PENDING",
"provider_status": "verification_pending",
"requirements": [],
"updated_at": "2026-02-01T10:05:00Z"
}
Submit additional documents for an existing onboarding. Typically used when the onboarding is in
PENDING_ADDITIONAL_DOCUMENTATION status. Only onboardings that have not reached a terminal status can be updated; otherwise the API returns 400 INVALID_STATE_TRANSITION.Path Parameters
The id of the entity obtained from Create Entity.
The id of the onboarding obtained from Create Entity Onboarding.
Body
application/json
Submit documents for an onboarding that has not reached a terminal status. Compliance declarations, risk assessment and source of funds cannot be updated through this endpoint.
The unique identifier of the merchant's Yuno account (UUID, 36 characters).
Example:
"550e8400-e29b-41d4-a716-446655440000"
The documents to submit. At least one item is required. Each item has a document_type and one sub-object named after it, which holds the files array. Dates use YYYY-MM-DD.
Minimum array length:
1Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update Entity Onboarding (Banking Connectivity)
curl --request PATCH \
--url https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id} \
--header 'Content-Type: application/json' \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>' \
--data '
{
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"documentation": [
{
"document_type": "IDENTITY_DOCUMENT",
"identity_document": {
"document_number": "D1234567",
"document_subtype": "DRIVERS_LICENSE",
"issuing_country": "US",
"expires_at": "2028-01-15",
"files": [
{
"file_name": "license_front.jpg",
"content_type": "image/jpeg",
"content": "base64_encoded_content"
},
{
"file_name": "license_back.jpg",
"content_type": "image/jpeg",
"content": "base64_encoded_content"
}
]
}
},
{
"document_type": "BANK_STATEMENT",
"bank_statement": {
"bank_name": "Chase Bank",
"account_number_last_4": "1234",
"period_start_at": "2025-12-01",
"period_end_at": "2025-12-31",
"files": [
{
"file_name": "bank_statement_dec_2025.pdf",
"content_type": "application/pdf",
"content": "base64_encoded_content"
}
]
}
}
]
}
'import requests
url = "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}"
payload = {
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"documentation": [
{
"document_type": "IDENTITY_DOCUMENT",
"identity_document": {
"document_number": "D1234567",
"document_subtype": "DRIVERS_LICENSE",
"issuing_country": "US",
"expires_at": "2028-01-15",
"files": [
{
"file_name": "license_front.jpg",
"content_type": "image/jpeg",
"content": "base64_encoded_content"
},
{
"file_name": "license_back.jpg",
"content_type": "image/jpeg",
"content": "base64_encoded_content"
}
]
}
},
{
"document_type": "BANK_STATEMENT",
"bank_statement": {
"bank_name": "Chase Bank",
"account_number_last_4": "1234",
"period_start_at": "2025-12-01",
"period_end_at": "2025-12-31",
"files": [
{
"file_name": "bank_statement_dec_2025.pdf",
"content_type": "application/pdf",
"content": "base64_encoded_content"
}
]
}
}
]
}
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'public-api-key': '<api-key>',
'private-secret-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_id: '550e8400-e29b-41d4-a716-446655440000',
documentation: [
{
document_type: 'IDENTITY_DOCUMENT',
identity_document: {
document_number: 'D1234567',
document_subtype: 'DRIVERS_LICENSE',
issuing_country: 'US',
expires_at: '2028-01-15',
files: [
{
file_name: 'license_front.jpg',
content_type: 'image/jpeg',
content: 'base64_encoded_content'
},
{
file_name: 'license_back.jpg',
content_type: 'image/jpeg',
content: 'base64_encoded_content'
}
]
}
},
{
document_type: 'BANK_STATEMENT',
bank_statement: {
bank_name: 'Chase Bank',
account_number_last_4: '1234',
period_start_at: '2025-12-01',
period_end_at: '2025-12-31',
files: [
{
file_name: 'bank_statement_dec_2025.pdf',
content_type: 'application/pdf',
content: 'base64_encoded_content'
}
]
}
}
]
})
};
fetch('https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'account_id' => '550e8400-e29b-41d4-a716-446655440000',
'documentation' => [
[
'document_type' => 'IDENTITY_DOCUMENT',
'identity_document' => [
'document_number' => 'D1234567',
'document_subtype' => 'DRIVERS_LICENSE',
'issuing_country' => 'US',
'expires_at' => '2028-01-15',
'files' => [
[
'file_name' => 'license_front.jpg',
'content_type' => 'image/jpeg',
'content' => 'base64_encoded_content'
],
[
'file_name' => 'license_back.jpg',
'content_type' => 'image/jpeg',
'content' => 'base64_encoded_content'
]
]
]
],
[
'document_type' => 'BANK_STATEMENT',
'bank_statement' => [
'bank_name' => 'Chase Bank',
'account_number_last_4' => '1234',
'period_start_at' => '2025-12-01',
'period_end_at' => '2025-12-31',
'files' => [
[
'file_name' => 'bank_statement_dec_2025.pdf',
'content_type' => 'application/pdf',
'content' => 'base64_encoded_content'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"private-secret-key: <api-key>",
"public-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}"
payload := strings.NewReader("{\n \"account_id\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"documentation\": [\n {\n \"document_type\": \"IDENTITY_DOCUMENT\",\n \"identity_document\": {\n \"document_number\": \"D1234567\",\n \"document_subtype\": \"DRIVERS_LICENSE\",\n \"issuing_country\": \"US\",\n \"expires_at\": \"2028-01-15\",\n \"files\": [\n {\n \"file_name\": \"license_front.jpg\",\n \"content_type\": \"image/jpeg\",\n \"content\": \"base64_encoded_content\"\n },\n {\n \"file_name\": \"license_back.jpg\",\n \"content_type\": \"image/jpeg\",\n \"content\": \"base64_encoded_content\"\n }\n ]\n }\n },\n {\n \"document_type\": \"BANK_STATEMENT\",\n \"bank_statement\": {\n \"bank_name\": \"Chase Bank\",\n \"account_number_last_4\": \"1234\",\n \"period_start_at\": \"2025-12-01\",\n \"period_end_at\": \"2025-12-31\",\n \"files\": [\n {\n \"file_name\": \"bank_statement_dec_2025.pdf\",\n \"content_type\": \"application/pdf\",\n \"content\": \"base64_encoded_content\"\n }\n ]\n }\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("public-api-key", "<api-key>")
req.Header.Add("private-secret-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}")
.header("public-api-key", "<api-key>")
.header("private-secret-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"account_id\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"documentation\": [\n {\n \"document_type\": \"IDENTITY_DOCUMENT\",\n \"identity_document\": {\n \"document_number\": \"D1234567\",\n \"document_subtype\": \"DRIVERS_LICENSE\",\n \"issuing_country\": \"US\",\n \"expires_at\": \"2028-01-15\",\n \"files\": [\n {\n \"file_name\": \"license_front.jpg\",\n \"content_type\": \"image/jpeg\",\n \"content\": \"base64_encoded_content\"\n },\n {\n \"file_name\": \"license_back.jpg\",\n \"content_type\": \"image/jpeg\",\n \"content\": \"base64_encoded_content\"\n }\n ]\n }\n },\n {\n \"document_type\": \"BANK_STATEMENT\",\n \"bank_statement\": {\n \"bank_name\": \"Chase Bank\",\n \"account_number_last_4\": \"1234\",\n \"period_start_at\": \"2025-12-01\",\n \"period_end_at\": \"2025-12-31\",\n \"files\": [\n {\n \"file_name\": \"bank_statement_dec_2025.pdf\",\n \"content_type\": \"application/pdf\",\n \"content\": \"base64_encoded_content\"\n }\n ]\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["public-api-key"] = '<api-key>'
request["private-secret-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_id\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"documentation\": [\n {\n \"document_type\": \"IDENTITY_DOCUMENT\",\n \"identity_document\": {\n \"document_number\": \"D1234567\",\n \"document_subtype\": \"DRIVERS_LICENSE\",\n \"issuing_country\": \"US\",\n \"expires_at\": \"2028-01-15\",\n \"files\": [\n {\n \"file_name\": \"license_front.jpg\",\n \"content_type\": \"image/jpeg\",\n \"content\": \"base64_encoded_content\"\n },\n {\n \"file_name\": \"license_back.jpg\",\n \"content_type\": \"image/jpeg\",\n \"content\": \"base64_encoded_content\"\n }\n ]\n }\n },\n {\n \"document_type\": \"BANK_STATEMENT\",\n \"bank_statement\": {\n \"bank_name\": \"Chase Bank\",\n \"account_number_last_4\": \"1234\",\n \"period_start_at\": \"2025-12-01\",\n \"period_end_at\": \"2025-12-31\",\n \"files\": [\n {\n \"file_name\": \"bank_statement_dec_2025.pdf\",\n \"content_type\": \"application/pdf\",\n \"content\": \"base64_encoded_content\"\n }\n ]\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "990e8400-e29b-41d4-a716-446655440000",
"entity_id": "660e8400-e29b-41d4-a716-446655440000",
"status": "PENDING",
"provider_status": "verification_pending",
"requirements": [],
"updated_at": "2026-02-01T10:05:00Z"
}